ketai.net

## Class KetaiOSCMessage

- java.lang.Object
- - oscP5.OscPatcher
  - - oscP5.OscPacket
    - - oscP5.OscMessage
      - - ketai.net.KetaiOSCMessage

-     public class KetaiOSCMessage
      extends oscP5.OscMessage

  The Class KetaiOSCMessage.

- - ### Field Summary

    - ### Fields inherited from class oscP5.OscMessage

      `_myOscArgument, isPlugged`

    - ### Fields inherited from class oscP5.OscPacket

      `_myTcpClient, _myType, BUNDLE, hostAddress, inetAddress, MESSAGE, port`

    - ### Fields inherited from class oscP5.OscPatcher

      `_myAddrInt, _myAddrPattern, _myArguments, _myArrayType, _myData, _myTypetag, isArray, isValid, KOMMA, messages, TIEMTAG_NOW, timetag, TIMETAG_OFFSET, ZEROBYTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KetaiOSCMessage(byte[] _data)` Instantiates a new ketai osc message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isValid()`

    - ### Methods inherited from class oscP5.OscMessage

      `add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, addArguments, addrInt, addrPattern, argsAsArray, arguments, checkAddrPattern, checkTypetag, clear, clearArguments, get, getAddrPatternAsBytes, getBytes, getTypetagAsBytes, increase, init, isPlugged, makeBlob, print, printData, set, setAddrPattern, setAddrPattern, setArguments, timetag, toString, typetag`

    - ### Methods inherited from class oscP5.OscPacket

      `address, netaddress, netAddress, parse, parse, port, tcpConnection, type`

    - ### Methods inherited from class oscP5.OscPatcher

      `align, parseAddrPattern, parseArguments, parseBundle, parseMessage, parseTypetag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KetaiOSCMessage

          public KetaiOSCMessage(byte[] _data)

      Instantiates a new ketai osc message.
      Parameters:
        `_data` - the _data

  - ### Method Detail

    - #### isValid

          public boolean isValid()

      Overrides:
        `isValid` in class `oscP5.OscPacket`